For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: Entrata
        • POSTCreate Recurring Charge: Entrata
        • POSTCreate Resident Payment: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataBilling and Payments

Get all financial accounts

GET
/v1/financial-accounts/
GET
/v1/financial-accounts/
$curl https://api.propexo.com/v1/financial-accounts/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "finAccX123",
18 "x_property_id": "property456",
19 "x_location_id": null,
20 "name": "110 Accounts Payable",
21 "status_raw": "Enabled",
22 "account_number": "123456789",
23 "custom_data": {},
24 "property_id": "clwi5xiix000008l6ctdgafyh",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "ENTRATA"
27 }
28 ]
29}
Get all financial accounts
Was this page helpful?
Previous

Get a financial account by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
account_numberstringOptional
The account number associated with the financial account

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error